# -*- encoding: utf-8 -*-
# stub: dash-fu 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "dash-fu".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Assaf Arkin".freeze]
  s.date = "2011-10-03"
  s.description = "".freeze
  s.email = "assaf@labnotes.org".freeze
  s.homepage = "http://dash-fu.com".freeze
  s.licenses = ["Public domain".freeze]
  s.post_install_message = "## Use me to push data to [Dash-fu](http://dash-fu.com) in real time.\n\n\nAdd this gem to your project's `Gemfile`:\n\n    gem \"dash-fu\"\n\nThe only configuration you need is setting the API key in\n`config/environments/production.rb`:\n\n    DashFu.api_key = \"<your API key>\"\n\nYour API key is available from [account settings](http://dash-fu.com/settings).\n\nYou only want to push data in production, so make sure the API key is only set\nin production environment.  Calls to created/active with no API key are\nsimply ignored.\n\n-----\n\nYou can send events by calling DashFu.push with UID and event, or using the\nspecialized created and active methods.\n\nFor example, to assign a user to a cohort, we're going to notify Dash-fu\nwhenever an acount gets created:\n\n    class User < ActiveRecord::Model\n      after_create do\n        DashFu.created id\n      end\n    end\n\nIn this example, we consider a user active whenever they post a status update,\nand notify Dash-fu accordingly:\n\n    class StatusUpdate < ActiveRecord::Model\n      after_create do\n        DashFu.active id\n      end\n    end\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.7".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Use me to push data to Dash-fu in real time".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<multi_json>.freeze, [">= 0"])
  else
    s.add_dependency(%q<multi_json>.freeze, [">= 0"])
  end
end
